Postman _ API error in Studio

With Postman for API testing - I am receiving this error in Studio, how can I resolve this? tried checking out with the documentation but nothing like the error is mentioned hence looking for advices from experts. Thank you!

@Yeafi_Awal

Can you show what is that activity and what you are passing

Cheers

Hey @Yeafi_Awal, you require Newman. See documentation.

Newman is the command line tool for Postman, required for running Postman activities. You can find installation instructions on the Postman website. Once Newman is installed, UiPath Studio (and the robots) will search for it in the directories listed in the Path environment variable. By default, Newman installs in the npm global folder (%AppData%/Roaming/npm), though you can opt to install it in a different folder. Regardless of location, ensure the installation folder is included in the Path environment variable.

Best, Emerald.

1 Like


Hi Emerald,

I tried resolving the issue according to your advice but the below error show up while installing Newman, have node js installed -

npm install -g newman
npm WARN deprecated har-validator@5.1.5: this library is no longer supported
npm WARN deprecated uuid@3.4.0: Please upgrade to version 7 or higher. Older versions may use Math.random() in certain circumstances, which is known to be problematic. See There’s Math.random(), and then there’s Math.random() · V8 for details.

added 119 packages in 10s

9 packages are looking for funding
run npm fund for details

C:\Users\yeafi.awal>npm fund
yeafi.awal

C:\Users\yeafi.awal>npm -v
10.5.0

C:\Users\yeafi.awal>newman
‘newman’ is not recognized as an internal or external command,
operable program or batch file.

C:\Users\yeafi.awal>newman
‘newman’ is not recognized as an internal or external command,
operable program or batch file.

Tried searching a solution but this is what I have been coming across, do you have any advice or if you faced any issues like this? Would really appreciate, thank you!

You need to test API working fine in postman, if it is working fine then start checking that your parameter and body of API with your UiPath

if it still not work in UiPath and working on Postman the do below

image

you can export the code in VB / C# / Python

If still does not work on UiPath then you asked the API provide to check is any additional getting required to access this API

then @Yeafi_Awal you can use this code in your project which help you save time during the development.

Hi @Yeafi_Awal

Is it resolved?If yes could you please share the resolution…I am getting the same error…I have not installed newman.

Thanks,
gRao

No, it’s not resolved. When I try to install Newman there is error and it does not get resolve.
I looked up and many are facing the same issue … donno what to do here. everything works perfect for Postman as expected.

Hi @Yeafi_Awal ,

Install node and npm from the link available in the UiPath API testing prerequisites and then open cmd
Chk the installation node -v
npm -v
To verify if installation is successful
Then execute the below command in cmd to install newman

npm install -g newman
After installation run cmd to verify
Newman -v

Then u create new quote api collection in postman and add it after generating the postman API key.

Hope this helps

Regards,
Geetishree Rao